MORE(1)

NOM
more - display the contents of a file in a terminal

SYNOPSIS

more [options] file ...

DESCRIPTION

more is a filter for paging through text one screenful at a time. This version is especially primitive. Users should realize that less(1) provides more(1) emulation plus extensive enhancements.

OPTIONS

La variable d’environnement MORE peut contenir des options supplémentaires (assurez-vous de les faire précéder d’un tiret (-)), mais les options sur la ligne de commande ont priorité.

-d, --silent
    Accueillir avec « [Appuyer sur la barre d’espacement pour continuer, « q » pour quitter.] » puis afficher « [Appuyer sur « h » pour obtenir les instructions.] » au lieu d’émettre un bip quand une touche interdite est utilisée.

-l, --logical
    Ne pas faire de pause après une ligne contenant un ^L (saut de page).

-e, --exit-on-eof
    Exit on End-Of-File, enabled by default if POSIXLY_CORRECT environment variable is not set or if not executed on terminal.

-f, --no-pause
    Compter les lignes logiques plutôt que celles de l’écran, c’est-à-dire que les lignes longues ne sont pas repliées.

-p, --print-over
    Ne pas dérouler : effacer plutôt l’écran avant d’afficher le texte. Remarquez que cette option est activée automatiquement si l’exécutable s’appelle page.

-c, --clean-print
    Ne pas dérouler : afficher les lignes en partant du haut et en effaçant les fins de ligne au fur et à mesure.

-s, --squeeze
    Regrouper les lignes blanches consécutives en une seule.

-u, --plain
    Supprimer les soulignements. Cette option est ignorée silencieusement et sert uniquement pour la rétro-compatibilité.

-n, --lines nombre
    Indiquer le nombre de lignes par écran. Le paramètre nombre est un entier décimal positif. L’option --lines écrasera toute autre valeur issue d’une autre source, telle que le nombre de lignes indiqué par le terminal.

-numéro
    Une option numérique signifie la même chose que le paramètre de l’option --lines.

+numéro
    Commencer à afficher tous les fichiers à la ligne numéro.

+/chaîne
    La chaîne à chercher dans tous les fichiers avant de commencer à les afficher.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

COMMANDES

more reconnaît des commandes interactives basées sur celles de vi(1). Certaines commandes peuvent être précédées d’un nombre décimal noté k dans les descriptions suivantes. ^X signifie Ctrl-X.

h ou ?
    Aide : afficher un résumé des commandes. Si vous les avez toutes oubliées, tâchez de vous souvenir de celle-là.

espace
    Afficher les k lignes suivantes. Par défaut, k est la taille de l’écran.

z
    Afficher les k lignes suivantes. Par défaut, k est la taille de l’écran, mais le paramètre fourni devient la nouvelle valeur par défaut.

Entrée
    Afficher les k lignes suivantes. Par défaut, k vaut 1, mais le paramètre fourni devient la nouvelle valeur par défaut.

d ou ^D
    Dérouler k lignes. La valeur par défaut vaut initialement 11, mais le paramètre fourni devient la nouvelle valeur par défaut.

q ou Q ou INTERRUPT
    Quitter.

s
    Sauter k lignes. Par défaut, sauter une ligne.

f
    Sauter k écrans. Par défaut, sauter un écran.

b ou ^B
    Reculer de k écrans. Par défaut, reculer d’un écran. Ne fonctionne qu’avec les fichiers, pas avec les tubes (« pipes »).

'
    Retourner au point de départ de la dernière recherche.

=
    Afficher le numéro de ligne actuel.

/motif
    Rechercher la k-ième occurrence d’une expression rationnelle. Par défaut, k vaut 1.

n
    Rechercher la k-ième occurrence de la dernière expression rationnelle. Par défaut, k vaut 1.

!commande ou :!commande
    Exécuter la commande dans un sous-interpréteur de commandes.

v
    Démarrer un éditeur sur la ligne actuelle. L’éditeur est indiqué par la variable d’environnement VISUAL si elle est définie, EDITOR si VISUAL n’est pas définie ou vi(1) par défaut si ni VISUAL, ni EDITOR ne sont définies.

^L
    Rafraîchir l’écran.

:n
    Passer au k-ième fichier suivant. Par défaut, k vaut 1.

:p
    Passer au k-ième fichier précédent. Par défaut, k vaut 1.

:f
    Afficher le nom et le numéro de ligne du fichier actuel.

.
    Répéter la commande précédente.

SECURITY

When either MORESECURE or PAGERSECURE is set, more will run in "secure" mode and effectively disable the following commands:

!commande ou :!commande
    Exécuter la commande dans un sous-interpréteur de commandes.

v
    Start up an editor.

ENVIRONNEMENT

La commande more respecte les variables d’environnement suivantes quand elles existent.

MORE
    Les options préférées pour more peuvent être indiquées dans cette variable.

SHELL
    Interpréteur actuel (normalement positionné par l’interpréteur à la connexion).

TERM
    Le type de terminal utilisé par more pour déterminer les caractéristiques du terminal nécessaires au contrôle de l’écran.

VISUAL
    L’éditeur préféré de l’utilisateur. Appelé par la touche de commande v.

EDITOR
    Le choix de l’éditeur quand VISUAL n’est pas indiqué.

POSIXLY_CORRECT
    Disable exit-on-eof (see option -e for more details).

MORESECURE
    Run more in "secure" mode. See SECURITY for details.

PAGERSECURE
    Equivalent to MORESECURE.

MORE_SHELL_LINES
    Specify the number of lines the shell prompt occupies on the terminal screen. If this value is set, the number of lines for the shell prompt is subtracted from the number of lines used to print a page on the screen. The value must be greater than zero and less than the current number of lines per screen; otherwise it is silently ignored. This is useful in situations where the printed page has to remain on the screen after exiting more(1) without scrolling up too much as the shell prints a new prompt.

HISTORIQUE

La commande more est apparue dans 3.0BSD. Cette page documente la version 5.19 (Berkeley 29/6/88), qui est celle actuellement utilisée par la communauté Linux. Cette documentation a été constituée en utilisant les pages de manuel de plusieurs autres versions et après un examen exhaustif du code source.

AUTEURS

Eric Shienbrood, UC Berkeley.

Modifié par Geoff Peck, UCB, pour ajouter le soulignement et l’espacement simple.

Modifié par John Foderaro, UCB, pour ajouter -c et la gestion de la variable d’environnement MORE.

Modified by Christian Goeschel Ndjomouo to add MORESECURE, PAGERSECURE and MORE_SHELL_LINES environment variables, and a SECURITY section

VOIR AUSSI

less(1), vi(1)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande more fait partie du paquet util-linux, elle est disponible sur